<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="generator" content="ExDoc v0.31.0">
    <meta name="project" content="Manpages v2.3.0">


    <title>di — Manpages v2.3.0</title>
    <link rel="stylesheet" href="dist/html-elixir-3ZLIM5JF.css" />


    <script src="dist/handlebars.runtime-NWIB6V2M.js"></script>
    <script src="dist/handlebars.templates-43PMFBC7.js"></script>
    <script src="dist/sidebar_items-BAAB9852.js"></script>

      <script src="doc-versions.js"></script>

    <script async src="dist/html-CILPWI2Q.js"></script>

<link rel="stylesheet" href="assets/doc.css">
  </head>
  <body data-type="extras" class="page-extra">
    <script>

      try {
        var settings = JSON.parse(localStorage.getItem('ex_doc:settings') || '{}');

        if (settings.theme === 'dark' ||
           ((settings.theme === 'system' || settings.theme == null) &&
             window.matchMedia('(prefers-color-scheme: dark)').matches)
           ) {
          document.body.classList.add('dark')
        }
      } catch (error) { }
    </script>

<div class="main">

<button class="sidebar-button sidebar-toggle" aria-label="toggle sidebar" aria-controls="sidebar">
  <i class="ri-menu-line ri-lg" title="Collapse/expand sidebar"></i>
</button>

<nav id="sidebar" class="sidebar">

  <div class="sidebar-header">
    <div class="sidebar-projectInfo">

        <a href="https://kaisenlinux.org/manpages/" class="sidebar-projectImage">
          <img src="assets/logo.png" alt="Manpages" />
        </a>

      <div>
        <a href="https://kaisenlinux.org/manpages/" class="sidebar-projectName" translate="no">
Manpages
        </a>
        <div class="sidebar-projectVersion" translate="no">
          v2.3.0
        </div>
      </div>
    </div>
    <ul id="sidebar-listNav" class="sidebar-listNav" role="tablist">
      <li>
        <button id="extras-list-tab-button" role="tab" data-type="extras" aria-controls="extras-tab-panel" aria-selected="true" tabindex="0">
MANUALS
        </button>
      </li>


    </ul>
  </div>

  <div id="extras-tab-panel" class="sidebar-tabpanel" role="tabpanel" aria-labelledby="extras-list-tab-button">
    <ul id="extras-full-list" class="full-list"></ul>
  </div>


</nav>

<main class="content">
  <output role="status" id="toast"></output>
  <div class="content-outer">
    <div id="content" class="content-inner">
      <div class="top-search">
        <div class="search-settings">
          <form class="search-bar" action="search.html">
            <label class="search-label">
              <span class="sr-only">Search documentation of Manpages</span>
              <input name="q" type="text" class="search-input" placeholder="Search Documentation (press /)" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false" />
            </label>
            <button type="submit" class="search-button" aria-label="Submit Search">
              <i class="ri-search-2-line ri-lg" aria-hidden="true" title="Submit search"></i>
            </button>
            <button type="button" tabindex="-1" class="search-close-button" aria-hidden="true">
              <i class="ri-close-line ri-lg" title="Cancel search"></i>
            </button>
          </form>
          <button class="icon-settings display-settings">
            <i class="ri-settings-3-line"></i>
            <span class="sr-only">Settings</span>
          </button>
        </div>
      </div>
      <div class="autocomplete">
      </div>

<h1>


  <span>di</span>
</h1>

<p>di(1)                                                                  General Commands Manual                                                                 di(1)</p><p>Name</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="n">di</span><span class="w"> </span><span class="o">-</span><span class="w"> </span><span class="n">disk</span><span class="w"> </span><span class="n">information</span></code></pre><p>Synopsis</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="n">di</span><span class="w">  </span><span class="p" data-group-id="6606866001-1">[</span><span class="o">-</span><span class="nc">AacghHjklLmnPqRtZ</span><span class="p" data-group-id="6606866001-1">]</span><span class="w">  </span><span class="p" data-group-id="6606866001-2">[</span><span class="o">-</span><span class="nc">B</span><span class="w">  </span><span class="n">block</span><span class="o">-</span><span class="n">size</span><span class="p" data-group-id="6606866001-2">]</span><span class="w">  </span><span class="p" data-group-id="6606866001-3">[</span><span class="o">-</span><span class="n">d</span><span class="w">  </span><span class="n">display</span><span class="o">-</span><span class="n">size</span><span class="p" data-group-id="6606866001-3">]</span><span class="w">  </span><span class="p" data-group-id="6606866001-4">[</span><span class="o">-</span><span class="n">f</span><span class="w">  </span><span class="n">format</span><span class="p" data-group-id="6606866001-4">]</span><span class="w"> </span><span class="p" data-group-id="6606866001-5">[</span><span class="o">-</span><span class="nc">I</span><span class="w"> </span><span class="n">include</span><span class="o">-</span><span class="n">fstyp</span><span class="o">-</span><span class="n">list</span><span class="p" data-group-id="6606866001-5">]</span><span class="w"> </span><span class="p" data-group-id="6606866001-6">[</span><span class="o">-</span><span class="n">s</span><span class="w"> </span><span class="n">sort</span><span class="o">-</span><span class="n">type</span><span class="p" data-group-id="6606866001-6">]</span><span class="w"> </span><span class="p" data-group-id="6606866001-7">[</span><span class="o">-</span><span class="n">w</span><span class="w"> </span><span class="n">block</span><span class="o">-</span><span class="n">width</span><span class="p" data-group-id="6606866001-7">]</span><span class="w"> </span><span class="p" data-group-id="6606866001-8">[</span><span class="o">-</span><span class="nc">W</span><span class="w"> </span><span class="n">inode</span><span class="o">-</span><span class="n">width</span><span class="p" data-group-id="6606866001-8">]</span><span class="w"> </span><span class="p" data-group-id="6606866001-9">[</span><span class="o">-</span><span class="n">x</span><span class="w"> </span><span class="n">ex</span><span class="err">‐</span><span class="w">
   </span><span class="n">clude</span><span class="o">-</span><span class="n">fstyp</span><span class="o">-</span><span class="n">list</span><span class="p" data-group-id="6606866001-9">]</span><span class="w"> </span><span class="p" data-group-id="6606866001-10">[</span><span class="o">-</span><span class="nc">X</span><span class="w"> </span><span class="n">debug</span><span class="o">-</span><span class="n">level</span><span class="p" data-group-id="6606866001-10">]</span><span class="w"> </span><span class="p" data-group-id="6606866001-11">[</span><span class="o">-</span><span class="n">z</span><span class="w"> </span><span class="n">zone</span><span class="o">-</span><span class="n">name</span><span class="p" data-group-id="6606866001-11">]</span><span class="w"> </span><span class="p" data-group-id="6606866001-12">[</span><span class="n">file</span><span class="w"> </span><span class="p" data-group-id="6606866001-13">[</span><span class="n">...</span><span class="p" data-group-id="6606866001-13">]</span><span class="p" data-group-id="6606866001-12">]</span><span class="w">

   </span><span class="n">mi</span></code></pre><p>Description</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="n">di</span><span class="w"> </span><span class="nc">Displays</span><span class="w"> </span><span class="n">usage</span><span class="w"> </span><span class="n">information</span><span class="w"> </span><span class="n">on</span><span class="w"> </span><span class="n">mounted</span><span class="w"> </span><span class="n">filesystems</span><span class="o">.</span><span class="w">  </span><span class="nc">Block</span><span class="w"> </span><span class="n">values</span><span class="w"> </span><span class="n">are</span><span class="w"> </span><span class="n">reported</span><span class="w"> </span><span class="ow">in</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">human</span><span class="w"> </span><span class="n">readable</span><span class="w"> </span><span class="n">format</span><span class="o">.</span><span class="w">  </span><span class="nc">If</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">user</span><span class="w"> </span><span class="ow">or</span><span class="w"> </span><span class="n">group</span><span class="w"> </span><span class="n">has</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">disk</span><span class="w"> </span><span class="n">quota</span><span class="p">,</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">val</span><span class="err">‐</span><span class="w">
   </span><span class="n">ues</span><span class="w"> </span><span class="n">reported</span><span class="w"> </span><span class="n">are</span><span class="w"> </span><span class="n">adjusted</span><span class="w"> </span><span class="n">according</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">quotas</span><span class="w"> </span><span class="n">that</span><span class="w"> </span><span class="n">apply</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">user</span><span class="o">.</span><span class="w">

   </span><span class="nc">If</span><span class="w"> </span><span class="n">file</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">specified</span><span class="p">,</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">usage</span><span class="w"> </span><span class="n">information</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">partition</span><span class="w"> </span><span class="n">on</span><span class="w"> </span><span class="n">which</span><span class="w"> </span><span class="n">file</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">located</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">printed</span><span class="o">.</span><span class="w">

   </span><span class="nc">Unless</span><span class="w">  </span><span class="n">the</span><span class="w">  </span><span class="o">-</span><span class="n">a</span><span class="w">  </span><span class="n">flag</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">specified</span><span class="p">,</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">following</span><span class="w"> </span><span class="n">mounted</span><span class="w"> </span><span class="n">filesystems</span><span class="w"> </span><span class="n">will</span><span class="w"> </span><span class="ow">not</span><span class="w"> </span><span class="n">normally</span><span class="w"> </span><span class="n">be</span><span class="w"> </span><span class="ss">displayed</span><span class="p">:</span><span class="w"> </span><span class="n">filesystems</span><span class="w"> </span><span class="k">with</span><span class="w"> </span><span class="n">total</span><span class="w"> </span><span class="n">space</span><span class="w"> </span><span class="o">&lt;=</span><span class="w"> </span><span class="mi">0</span><span class="p">;</span><span class="w"> </span><span class="n">loopback</span><span class="w"> </span><span class="n">filesystems</span><span class="w">
   </span><span class="n">that</span><span class="w"> </span><span class="n">are</span><span class="w"> </span><span class="n">duplicates</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">other</span><span class="w"> </span><span class="n">normally</span><span class="w"> </span><span class="n">mounted</span><span class="w"> </span><span class="n">filesystems</span><span class="w"> </span><span class="p" data-group-id="7561141382-1">(</span><span class="n">filesystem</span><span class="w"> </span><span class="n">type</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="sc">&#39;lofs&#39;</span><span class="w"> </span><span class="p">,</span><span class="w"> </span><span class="sc">&#39;none&#39;</span><span class="p">,</span><span class="w"> </span><span class="ow">or</span><span class="w"> </span><span class="sc">&#39;nullfs&#39;</span><span class="p" data-group-id="7561141382-1">)</span><span class="p">;</span><span class="w"> </span><span class="n">loopback</span><span class="w"> </span><span class="n">filesystems</span><span class="w"> </span><span class="n">that</span><span class="w"> </span><span class="n">are</span><span class="w">  </span><span class="n">part</span><span class="w">  </span><span class="n">of</span><span class="w">  </span><span class="n">a</span><span class="w">  </span><span class="n">zone</span><span class="w">
   </span><span class="p" data-group-id="7561141382-2">(</span><span class="nc">Solaris</span><span class="p" data-group-id="7561141382-2">)</span><span class="p">;</span><span class="w"> </span><span class="n">filesystems</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="n">which</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">system</span><span class="sc">&#39;s ignore flag is set; filesystems that have a device name of &#39;</span><span class="n">tmpfs</span><span class="sc">&#39;, &#39;</span><span class="n">cgroup</span><span class="sc">&#39; or &#39;</span><span class="n">swap</span><span class="sc">&#39;; filesystems that have a
   device name starting with

   Filesystems that the user does not have permissions to access will not be displayed at all.

   mi Displays the mounted filesystem information.

   Several options may be specified to control the output of di and mi:

   -A     Print all fields (used for debugging).  Mount points and device names are printed at full width.

   -a     (compatibility: --all)
          Prints all mounted devices (normally, those with 0 total space are not printed - e.g. /dev/proc, /dev/fd).

   -B     block-size (compatibility: --block-size, -b)
          Change the base block size from 1024 (default) to the size specified.  block-size may be one of: k - 1024 bytes, si - 1000 bytes, or a specific size.

   -c     (alias: --csv-output)
          Comma separated values are output.  The titles are output as the format string specifiers.  Totals are turned off. See also the -n flag.

   -C     (alias: --csv-tabs)
          Values are output with tab separators.  See also the -c option.

   -d     display-size (alias: --display-size)
          Display the usage in units specified by display-size.  Note that if the base block size is SI units of 1000 bytes, the display size is calculated  us‐
          ing  those  units.   display-size may be one of: 512 - POSIX, k - kilobytes, m - megabytes, g - gigabytes, t - terabytes, p - petabytes, e - exabytes,
          z - zettabytes, y - yottabytes, h - Scaled alternative 1, H - Scaled alternative 2, or a specific value to use as the block size.

          Block display sizes greater than 1024 bytes are displayed with a precision of one decimal place after the radix.

          The Scaled alternatives scale the sizes displayed and appends a suffix (e.g. 48.0k, 3.4M).

          With scaled alternative 1, sizes within a line may scale to different units.

          Scaled alternative 2 scales all the sizes in each individual line to the same unit size (the largest needed).

   -f     format Use the specified format string format.  See the Format Strings section.

   -g     (alias for: -dg)
          Display sizes in gigabytes.

   -h     (alias for: -dh)
          Display partition sizes in scaled alternative 1 format.

   --help
          Display some basic usage information.

   -H     (alias for: -dH; compatibility: --human-readable)
          Display partition sizes in scaled alternative 2 format.

   -I     include-fstype-list (compatibility: -F, --type)
          Include only the file system types listed in include-fstyp-list.  The list is a comma separated list of file system types.  Multiple -I options may be
          specified.  If the &#39;</span><span class="n">fuse</span><span class="sc">&#39; filesystem type is specified, all fuse* filesystems will be included.
          e.g. -I nfs,tmpfs or -I nfs -I tmpfs.

   --inodes
          Ignored.  Use the -f option.

   -j     (alias: --json-output)
          The  data  is  output as an array of json objects.  Totals are turned off.  Use of format specifiers that specify the same field will result in dupli‐
          cated field names.  (e.g. p, 1, 2)

   -k     (alias for: -dk)
          Display sizes in Kbytes.

   -l     (compatibility: --local)
          Display only local file systems.

   -L     Turn off check for duplicate filesystems (loopback (lofs/none) mounts).

   -m     (alias for: -dm)
          Display sizes in megabytes.

   -n     Do not print a header line above the list of file systems.  Useful when parsing the output of di.

   --no-sync
          Ignored.

   -P     (compatibility: --portability)
          Output format is POSIX standard.  512 byte block size is the default.  The -k option may be used.

   --print-type
          Ignored.  Use the -f option.

   -q     Disable quota checks.

   -R     (alias: --dont-resolve-symlinks)
          Do not resolve symlinks (for mount points that have a trailing UUID).

   -s     sort-type
          Use sort-type to sort the output.  The output of di is normally sorted by mount point.  The following sort flags may be used to change the sort order:
          m - by mount point (default); n - leave unsorted (as it appears in the mount table); s - by device name; T - by total space; f - by free space; a - by
          available space; t - by filesystem type; r - reverse the sort order; This will apply to all sort flags following this sort flag.

          These sort options may be combined in any order.  e.g.:
          di -stsrm # by type, device name, reversed mount;
          di -strsrm # by type, reversed device-name, mount.

   --si   An alias for -dH -Bsi.

   --sync Ignored.

   -t     (compatibility: --total)
          Print a totals line below the list of file systems.  Pooled filesystems (zfs, advfs) have only the main pool added to the total.   Pooled  filesystems
          that  do  not  have  pool  information  available  (btrfs,  apfs)  will not total up correctly.  It is up to the user to exclude (using the -x option)
          read-only filesystems (cdfs, iso9660), swap-based (memfs, mfs, tmpfs) filesystems and user (fuse*) filesystems.  Excluding the &#39;</span><span class="n">fuse</span><span class="sc">&#39; filesystem  will
          exclude all fuse* filesystems.

   -w     block-width
          Set the print width for block values.  The default is eight.

   -v     Ignored.

   --version
          Display di&#39;</span><span class="n">s</span><span class="w"> </span><span class="n">version</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="n">default</span><span class="w"> </span><span class="n">format</span><span class="w"> </span><span class="n">string</span><span class="o">.</span><span class="w">

   </span><span class="o">-</span><span class="nc">W</span><span class="w">     </span><span class="n">inode</span><span class="o">-</span><span class="n">width</span><span class="w">
          </span><span class="nc">Set</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">print</span><span class="w"> </span><span class="n">width</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="n">inode</span><span class="w"> </span><span class="n">values</span><span class="o">.</span><span class="w">  </span><span class="nc">Default</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">seven</span><span class="o">.</span><span class="w">

   </span><span class="o">-</span><span class="n">x</span><span class="w">     </span><span class="n">exclude</span><span class="o">-</span><span class="n">fstype</span><span class="o">-</span><span class="n">list</span><span class="w"> </span><span class="p" data-group-id="7561141382-3">(</span><span class="ss">compatibility</span><span class="p">:</span><span class="w"> </span><span class="o">--</span><span class="n">exclude</span><span class="o">-</span><span class="n">type</span><span class="p" data-group-id="7561141382-3">)</span><span class="w">
          </span><span class="nc">Exclude</span><span class="w">  </span><span class="n">the</span><span class="w">  </span><span class="n">file</span><span class="w">  </span><span class="n">system</span><span class="w">  </span><span class="n">types</span><span class="w">  </span><span class="n">listed</span><span class="w"> </span><span class="ow">in</span><span class="w"> </span><span class="n">exclude</span><span class="o">-</span><span class="n">fstyp</span><span class="o">-</span><span class="n">list</span><span class="o">.</span><span class="w">  </span><span class="nc">The</span><span class="w"> </span><span class="n">list</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">comma</span><span class="w"> </span><span class="n">separated</span><span class="w"> </span><span class="n">list</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">file</span><span class="w"> </span><span class="n">system</span><span class="w"> </span><span class="n">types</span><span class="o">.</span><span class="w">  </span><span class="nc">Multiple</span><span class="w"> </span><span class="o">-</span><span class="n">x</span><span class="w"> </span><span class="n">options</span><span class="w"> </span><span class="n">may</span><span class="w"> </span><span class="n">be</span><span class="w">
          </span><span class="n">specified</span><span class="o">.</span><span class="w">  </span><span class="nc">If</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="sc">&#39;fuse&#39;</span><span class="w"> </span><span class="n">filesystem</span><span class="w"> </span><span class="n">type</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">excluded</span><span class="p">,</span><span class="w"> </span><span class="n">all</span><span class="w"> </span><span class="n">fuse</span><span class="o">*</span><span class="w"> </span><span class="n">filesystems</span><span class="w"> </span><span class="n">will</span><span class="w"> </span><span class="n">be</span><span class="w"> </span><span class="n">excluded</span><span class="o">.</span><span class="w">  </span><span class="n">e</span><span class="o">.</span><span class="n">g</span><span class="o">.</span><span class="w"> </span><span class="o">-</span><span class="n">x</span><span class="w"> </span><span class="n">nfs</span><span class="p">,</span><span class="n">tmpfs</span><span class="w"> </span><span class="ow">or</span><span class="w"> </span><span class="o">-</span><span class="n">x</span><span class="w"> </span><span class="n">nfs</span><span class="w"> </span><span class="o">-</span><span class="n">x</span><span class="w"> </span><span class="n">tmpfs</span><span class="o">.</span><span class="w">

   </span><span class="o">-</span><span class="nc">X</span><span class="w">     </span><span class="n">level</span><span class="w">
          </span><span class="nc">Set</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">program</span><span class="err">&#39;</span><span class="n">s</span><span class="w"> </span><span class="n">debugging</span><span class="w"> </span><span class="n">level</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">debug</span><span class="o">-</span><span class="n">level</span><span class="o">.</span><span class="w">

   </span><span class="o">-</span><span class="n">z</span><span class="w">     </span><span class="n">zone</span><span class="o">-</span><span class="n">name</span><span class="w">
          </span><span class="nc">Display</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">filesystems</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">specified</span><span class="w"> </span><span class="n">zone</span><span class="o">.</span><span class="w">  </span><span class="nc">The</span><span class="w"> </span><span class="n">zone</span><span class="w"> </span><span class="n">must</span><span class="w"> </span><span class="n">be</span><span class="w"> </span><span class="n">visible</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">user</span><span class="o">.</span><span class="w">

   </span><span class="o">-</span><span class="nc">Z</span><span class="w">     </span><span class="p" data-group-id="7561141382-4">(</span><span class="kn">alias</span><span class="w"> </span><span class="ss">for</span><span class="p">:</span><span class="w"> </span><span class="o">-</span><span class="n">z</span><span class="w"> </span><span class="n">all</span><span class="p" data-group-id="7561141382-4">)</span><span class="w">
          </span><span class="nc">Display</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">filesystems</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="n">all</span><span class="w"> </span><span class="n">visible</span><span class="w"> </span><span class="n">zones</span><span class="o">.</span></code></pre><p>Format Strings</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="nc">The</span><span class="w"> </span><span class="n">output</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">di</span><span class="w"> </span><span class="n">may</span><span class="w"> </span><span class="n">be</span><span class="w"> </span><span class="n">specified</span><span class="w"> </span><span class="n">via</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">format</span><span class="w"> </span><span class="n">string</span><span class="o">.</span><span class="w">  </span><span class="nc">This</span><span class="w"> </span><span class="n">string</span><span class="w"> </span><span class="n">may</span><span class="w"> </span><span class="n">be</span><span class="w"> </span><span class="n">given</span><span class="w"> </span><span class="n">either</span><span class="w"> </span><span class="n">via</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="o">-</span><span class="n">f</span><span class="w"> </span><span class="n">command</span><span class="w"> </span><span class="n">line</span><span class="w"> </span><span class="n">option</span><span class="w"> </span><span class="ow">or</span><span class="w"> </span><span class="n">as</span><span class="w"> </span><span class="n">part</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="nc">DI_ARGS</span><span class="w">  </span><span class="n">environment</span><span class="w">
   </span><span class="n">variable</span><span class="o">.</span><span class="w">  </span><span class="nc">The</span><span class="w"> </span><span class="n">format</span><span class="w"> </span><span class="n">string</span><span class="w"> </span><span class="n">may</span><span class="w"> </span><span class="n">specify</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">following</span><span class="w"> </span><span class="ss">columns</span><span class="p">:</span><span class="w">

   </span><span class="n">m</span><span class="w">      </span><span class="nc">Print</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">name</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">mount</span><span class="w"> </span><span class="n">point</span><span class="o">.</span><span class="w">

   </span><span class="nc">M</span><span class="w">      </span><span class="nc">Print</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">name</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">mount</span><span class="w"> </span><span class="n">point</span><span class="p">,</span><span class="w"> </span><span class="n">at</span><span class="w"> </span><span class="n">full</span><span class="w"> </span><span class="n">length</span><span class="o">.</span><span class="w">  </span><span class="nc">The</span><span class="w"> </span><span class="n">mount</span><span class="w"> </span><span class="n">point</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">formatted</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">maximum</span><span class="w"> </span><span class="n">width</span><span class="w"> </span><span class="n">necessary</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">longest</span><span class="w"> </span><span class="n">mount</span><span class="w"> </span><span class="n">point</span><span class="w"> </span><span class="n">name</span><span class="o">.</span><span class="w">

   </span><span class="n">s</span><span class="w">      </span><span class="nc">Print</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">file</span><span class="w"> </span><span class="n">system</span><span class="w"> </span><span class="n">name</span><span class="w"> </span><span class="p" data-group-id="5243203089-1">(</span><span class="n">device</span><span class="w"> </span><span class="n">name</span><span class="w"> </span><span class="ow">or</span><span class="w"> </span><span class="n">remote</span><span class="w"> </span><span class="n">mount</span><span class="w"> </span><span class="n">point</span><span class="p" data-group-id="5243203089-1">)</span><span class="o">.</span><span class="w">

   </span><span class="nc">S</span><span class="w">      </span><span class="nc">Print</span><span class="w">  </span><span class="n">the</span><span class="w"> </span><span class="n">file</span><span class="w"> </span><span class="n">system</span><span class="w"> </span><span class="n">name</span><span class="w"> </span><span class="p" data-group-id="5243203089-2">(</span><span class="n">device</span><span class="w"> </span><span class="n">name</span><span class="w"> </span><span class="ow">or</span><span class="w"> </span><span class="n">remote</span><span class="w"> </span><span class="n">mount</span><span class="w"> </span><span class="n">point</span><span class="p" data-group-id="5243203089-2">)</span><span class="p">,</span><span class="w"> </span><span class="n">at</span><span class="w"> </span><span class="n">full</span><span class="w"> </span><span class="n">length</span><span class="o">.</span><span class="w">  </span><span class="nc">The</span><span class="w"> </span><span class="n">file</span><span class="w"> </span><span class="n">system</span><span class="w"> </span><span class="n">name</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">formatted</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">maximum</span><span class="w"> </span><span class="n">width</span><span class="w"> </span><span class="n">necessary</span><span class="w"> </span><span class="k">for</span><span class="w">
          </span><span class="n">the</span><span class="w"> </span><span class="n">longest</span><span class="w"> </span><span class="n">file</span><span class="w"> </span><span class="n">system</span><span class="w"> </span><span class="n">name</span><span class="o">.</span><span class="w">

   </span><span class="n">t</span><span class="w">      </span><span class="nc">Print</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">file</span><span class="w"> </span><span class="n">system</span><span class="w"> </span><span class="n">type</span><span class="o">.</span><span class="w">

   </span><span class="nc">T</span><span class="w">      </span><span class="nc">Print</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">file</span><span class="w"> </span><span class="n">system</span><span class="w"> </span><span class="n">type</span><span class="w"> </span><span class="n">at</span><span class="w"> </span><span class="n">full</span><span class="w"> </span><span class="n">length</span><span class="o">.</span><span class="w">  </span><span class="nc">The</span><span class="w"> </span><span class="n">file</span><span class="w"> </span><span class="n">system</span><span class="w"> </span><span class="n">type</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">formatted</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">maximum</span><span class="w"> </span><span class="n">width</span><span class="w"> </span><span class="n">necessary</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">longest</span><span class="w"> </span><span class="n">file</span><span class="w"> </span><span class="n">system</span><span class="w"> </span><span class="n">type</span><span class="o">.</span><span class="w">

   </span><span class="nc">Total</span><span class="w"> </span><span class="nc">Available</span><span class="w">

   </span><span class="n">b</span><span class="w">      </span><span class="nc">Print</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">total</span><span class="w"> </span><span class="n">number</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">megabytes</span><span class="w"> </span><span class="n">on</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">file</span><span class="w"> </span><span class="n">system</span><span class="o">.</span><span class="w">

   </span><span class="nc">B</span><span class="w">      </span><span class="nc">Print</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">total</span><span class="w"> </span><span class="n">number</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">megabytes</span><span class="w"> </span><span class="n">on</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">file</span><span class="w"> </span><span class="n">system</span><span class="w"> </span><span class="n">available</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="kn">use</span><span class="w"> </span><span class="n">by</span><span class="w"> </span><span class="n">normal</span><span class="w"> </span><span class="n">users</span><span class="o">.</span><span class="w">

   </span><span class="nc">In</span><span class="w"> </span><span class="nc">Use</span><span class="w">

   </span><span class="n">u</span><span class="w">      </span><span class="nc">Print</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">number</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">megabytes</span><span class="w"> </span><span class="ow">in</span><span class="w"> </span><span class="kn">use</span><span class="w"> </span><span class="n">on</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">file</span><span class="w"> </span><span class="n">system</span><span class="w"> </span><span class="p" data-group-id="5243203089-3">(</span><span class="n">actual</span><span class="w"> </span><span class="n">number</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">megabytes</span><span class="w"> </span><span class="n">used</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="n">total</span><span class="w"> </span><span class="o">-</span><span class="w"> </span><span class="n">free</span><span class="p" data-group-id="5243203089-3">)</span><span class="o">.</span><span class="w">

   </span><span class="n">c</span><span class="w">      </span><span class="nc">Print</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">number</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">megabytes</span><span class="w"> </span><span class="ow">not</span><span class="w"> </span><span class="n">available</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="kn">use</span><span class="w"> </span><span class="n">by</span><span class="w"> </span><span class="n">normal</span><span class="w"> </span><span class="n">users</span><span class="w"> </span><span class="p" data-group-id="5243203089-4">(</span><span class="n">total</span><span class="w"> </span><span class="o">-</span><span class="w"> </span><span class="n">available</span><span class="p" data-group-id="5243203089-4">)</span><span class="o">.</span><span class="w">  </span><span class="nc">Note</span><span class="w"> </span><span class="n">that</span><span class="w"> </span><span class="n">this</span><span class="w"> </span><span class="n">calculation</span><span class="w"> </span><span class="n">does</span><span class="w"> </span><span class="n">work</span><span class="w">  </span><span class="n">correctly</span><span class="w">  </span><span class="n">the</span><span class="w">  </span><span class="sc">&#39;apfs&#39;</span><span class="w">
          </span><span class="n">filesystem</span><span class="o">.</span><span class="w">

   </span><span class="nc">Free</span><span class="w">

   </span><span class="n">f</span><span class="w">      </span><span class="nc">Print</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">number</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">free</span><span class="w"> </span><span class="p" data-group-id="5243203089-5">(</span><span class="n">unused</span><span class="p" data-group-id="5243203089-5">)</span><span class="w"> </span><span class="n">megabytes</span><span class="w"> </span><span class="n">on</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">file</span><span class="w"> </span><span class="n">system</span><span class="o">.</span><span class="w">

   </span><span class="n">v</span><span class="w">      </span><span class="nc">Print</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">number</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">megabytes</span><span class="w"> </span><span class="n">available</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="kn">use</span><span class="w"> </span><span class="n">by</span><span class="w"> </span><span class="n">normal</span><span class="w"> </span><span class="n">users</span><span class="o">.</span><span class="w">

   </span><span class="nc">Percentage</span><span class="w"> </span><span class="nc">Used</span><span class="w">

   </span><span class="n">p</span><span class="w">      </span><span class="nc">Print</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">percentage</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">megabytes</span><span class="w"> </span><span class="ow">not</span><span class="w"> </span><span class="n">available</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="kn">use</span><span class="w"> </span><span class="n">by</span><span class="w"> </span><span class="n">normal</span><span class="w"> </span><span class="n">users</span><span class="w"> </span><span class="p" data-group-id="5243203089-6">(</span><span class="n">number</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">megabytes</span><span class="w"> </span><span class="ow">not</span><span class="w"> </span><span class="n">available</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="kn">use</span><span class="w"> </span><span class="o">/</span><span class="w"> </span><span class="n">total</span><span class="w"> </span><span class="n">disk</span><span class="w"> </span><span class="n">space</span><span class="p" data-group-id="5243203089-6">)</span><span class="o">.</span><span class="w">

   </span><span class="mi">1</span><span class="w">      </span><span class="nc">Print</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">percentage</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">total</span><span class="w"> </span><span class="n">megabytes</span><span class="w"> </span><span class="ow">in</span><span class="w"> </span><span class="kn">use</span><span class="w"> </span><span class="p" data-group-id="5243203089-7">(</span><span class="n">actual</span><span class="w"> </span><span class="n">number</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">megabytes</span><span class="w"> </span><span class="n">used</span><span class="w"> </span><span class="o">/</span><span class="w"> </span><span class="n">total</span><span class="w"> </span><span class="n">disk</span><span class="w"> </span><span class="n">space</span><span class="p" data-group-id="5243203089-7">)</span><span class="o">.</span><span class="w">

   </span><span class="mi">2</span><span class="w">      </span><span class="nc">Print</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">percentage</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">megabytes</span><span class="w"> </span><span class="ow">in</span><span class="w"> </span><span class="kn">use</span><span class="p">,</span><span class="w"> </span><span class="nc">BSD</span><span class="o">-</span><span class="n">style</span><span class="o">.</span><span class="w">  </span><span class="nc">Represents</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">percentage</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">user</span><span class="o">-</span><span class="n">available</span><span class="w"> </span><span class="n">space</span><span class="w"> </span><span class="ow">in</span><span class="w"> </span><span class="kn">use</span><span class="o">.</span><span class="w">  </span><span class="nc">Note</span><span class="w"> </span><span class="n">that</span><span class="w"> </span><span class="n">values</span><span class="w"> </span><span class="n">over</span><span class="w"> </span><span class="mi">100</span><span class="p">%</span><span class="w"> </span><span class="n">are</span><span class="w"> </span><span class="n">possi</span><span class="err">‐</span><span class="w">
          </span><span class="n">ble</span><span class="w"> </span><span class="p" data-group-id="5243203089-8">(</span><span class="n">actual</span><span class="w"> </span><span class="n">number</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">megabytes</span><span class="w"> </span><span class="n">used</span><span class="w"> </span><span class="o">/</span><span class="w"> </span><span class="n">disk</span><span class="w"> </span><span class="n">space</span><span class="w"> </span><span class="n">available</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">non</span><span class="o">-</span><span class="n">root</span><span class="w"> </span><span class="n">users</span><span class="p" data-group-id="5243203089-8">)</span><span class="o">.</span><span class="w">

   </span><span class="nc">Percentage</span><span class="w"> </span><span class="nc">Free</span><span class="w">

   </span><span class="n">a</span><span class="w">      </span><span class="nc">Print</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">percentage</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">megabytes</span><span class="w"> </span><span class="n">available</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="kn">use</span><span class="w"> </span><span class="n">by</span><span class="w"> </span><span class="n">normal</span><span class="w"> </span><span class="n">users</span><span class="w"> </span><span class="p" data-group-id="5243203089-9">(</span><span class="n">number</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">megabytes</span><span class="w"> </span><span class="n">available</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="kn">use</span><span class="w"> </span><span class="o">/</span><span class="w"> </span><span class="n">total</span><span class="w"> </span><span class="n">disk</span><span class="w"> </span><span class="n">space</span><span class="p" data-group-id="5243203089-9">)</span><span class="o">.</span><span class="w">

   </span><span class="mi">3</span><span class="w">      </span><span class="nc">Print</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">percentage</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">total</span><span class="w"> </span><span class="n">megabytes</span><span class="w"> </span><span class="n">free</span><span class="w"> </span><span class="p" data-group-id="5243203089-10">(</span><span class="n">actual</span><span class="w"> </span><span class="n">number</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">megabytes</span><span class="w"> </span><span class="n">free</span><span class="w"> </span><span class="o">/</span><span class="w"> </span><span class="n">total</span><span class="w"> </span><span class="n">disk</span><span class="w"> </span><span class="n">space</span><span class="p" data-group-id="5243203089-10">)</span><span class="o">.</span><span class="w">

   </span><span class="nc">Inodes</span><span class="w">

   </span><span class="n">i</span><span class="w">      </span><span class="nc">Print</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">total</span><span class="w"> </span><span class="n">number</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">file</span><span class="w"> </span><span class="n">slots</span><span class="w"> </span><span class="p" data-group-id="5243203089-11">(</span><span class="n">inodes</span><span class="p" data-group-id="5243203089-11">)</span><span class="w"> </span><span class="n">that</span><span class="w"> </span><span class="n">can</span><span class="w"> </span><span class="n">be</span><span class="w"> </span><span class="n">created</span><span class="w"> </span><span class="n">on</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">file</span><span class="w"> </span><span class="n">system</span><span class="o">.</span><span class="w">

   </span><span class="nc">U</span><span class="w">      </span><span class="nc">Print</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">number</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">file</span><span class="w"> </span><span class="n">slots</span><span class="w"> </span><span class="ow">in</span><span class="w"> </span><span class="kn">use</span><span class="o">.</span><span class="w">

   </span><span class="nc">F</span><span class="w">      </span><span class="nc">Print</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">number</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">file</span><span class="w"> </span><span class="n">slots</span><span class="w"> </span><span class="n">available</span><span class="o">.</span><span class="w">

   </span><span class="nc">P</span><span class="w">      </span><span class="nc">Print</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">percentage</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">file</span><span class="w"> </span><span class="n">slots</span><span class="w"> </span><span class="ow">in</span><span class="w"> </span><span class="kn">use</span><span class="o">.</span><span class="w">

   </span><span class="nc">Mount</span><span class="w"> </span><span class="nc">Information</span><span class="w">

   </span><span class="nc">I</span><span class="w">      </span><span class="nc">Print</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">time</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">filesystem</span><span class="w"> </span><span class="n">was</span><span class="w"> </span><span class="n">mounted</span><span class="o">.</span><span class="w">  </span><span class="nc">This</span><span class="w"> </span><span class="n">column</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="ow">not</span><span class="w"> </span><span class="n">supported</span><span class="w"> </span><span class="n">on</span><span class="w"> </span><span class="n">all</span><span class="w"> </span><span class="n">systems</span><span class="o">.</span><span class="w">

   </span><span class="nc">O</span><span class="w">      </span><span class="nc">Print</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">filesystem</span><span class="w"> </span><span class="n">mount</span><span class="w"> </span><span class="n">options</span><span class="o">.</span><span class="w">

   </span><span class="nc">The</span><span class="w"> </span><span class="n">default</span><span class="w"> </span><span class="n">format</span><span class="w"> </span><span class="n">string</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="n">di</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">smbuvpT</span><span class="o">.</span><span class="w">

   </span><span class="nc">The</span><span class="w"> </span><span class="n">default</span><span class="w"> </span><span class="n">format</span><span class="w"> </span><span class="n">string</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="n">mi</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="nc">MSTIO</span><span class="o">.</span><span class="w">

   </span><span class="nc">The</span><span class="w"> </span><span class="n">format</span><span class="w"> </span><span class="n">string</span><span class="w"> </span><span class="n">may</span><span class="w"> </span><span class="n">also</span><span class="w"> </span><span class="n">contain</span><span class="w"> </span><span class="n">any</span><span class="w"> </span><span class="n">other</span><span class="w"> </span><span class="n">character</span><span class="w"> </span><span class="ow">not</span><span class="w"> </span><span class="n">listed</span><span class="w"> </span><span class="n">above</span><span class="o">.</span><span class="w">  </span><span class="nc">The</span><span class="w"> </span><span class="n">character</span><span class="w"> </span><span class="n">will</span><span class="w"> </span><span class="n">be</span><span class="w"> </span><span class="n">printed</span><span class="w"> </span><span class="n">as</span><span class="w"> </span><span class="n">is</span><span class="o">.</span><span class="w">  </span><span class="n">e</span><span class="o">.</span><span class="n">g</span><span class="o">.</span><span class="w"> </span><span class="n">di</span><span class="w"> </span><span class="o">-</span><span class="n">f</span><span class="w"> </span><span class="sc">&#39;mbuvp|iUFP&#39;</span><span class="w"> </span><span class="n">will</span><span class="w"> </span><span class="n">print</span><span class="w"> </span><span class="n">the</span><span class="w">  </span><span class="n">char</span><span class="err">‐</span><span class="w">
   </span><span class="n">acter</span><span class="w"> </span><span class="sc">&#39;|&#39;</span><span class="w"> </span><span class="n">between</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">disk</span><span class="w"> </span><span class="n">usage</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">file</span><span class="w"> </span><span class="n">slot</span><span class="w"> </span><span class="n">usage</span><span class="o">.</span><span class="w">  </span><span class="nc">The</span><span class="w"> </span><span class="n">command</span><span class="w"> </span><span class="ss">sequence</span><span class="p">:</span><span class="w">
          </span><span class="n">di</span><span class="w"> </span><span class="o">-</span><span class="n">f</span><span class="w"> </span><span class="sc">&#39;mbuvp
          miUFP&#39;</span><span class="w">
   </span><span class="n">will</span><span class="w"> </span><span class="n">print</span><span class="w"> </span><span class="n">two</span><span class="w"> </span><span class="n">lines</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">data</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="n">each</span><span class="w"> </span><span class="n">filesystem</span><span class="o">.</span></code></pre><p>Examples</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="nc">Various</span><span class="w"> </span><span class="n">df</span><span class="w"> </span><span class="n">equivalent</span><span class="w"> </span><span class="n">format</span><span class="w"> </span><span class="n">strings</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="nc">System</span><span class="w"> </span><span class="nc">V</span><span class="w"> </span><span class="n">release</span><span class="w"> </span><span class="mi">4</span><span class="w"> </span><span class="ss">are</span><span class="p">:</span><span class="w">
          </span><span class="o">/</span><span class="n">usr</span><span class="o">/</span><span class="n">bin</span><span class="o">/</span><span class="n">df</span><span class="w"> </span><span class="o">-</span><span class="n">v</span><span class="w">     </span><span class="n">di</span><span class="w"> </span><span class="o">-</span><span class="nc">P</span><span class="w"> </span><span class="o">-</span><span class="n">f</span><span class="w"> </span><span class="n">msbuf1</span><span class="w">
          </span><span class="o">/</span><span class="n">usr</span><span class="o">/</span><span class="n">bin</span><span class="o">/</span><span class="n">df</span><span class="w"> </span><span class="o">-</span><span class="n">k</span><span class="w">     </span><span class="n">di</span><span class="w"> </span><span class="o">-</span><span class="n">dk</span><span class="w"> </span><span class="o">-</span><span class="n">f</span><span class="w"> </span><span class="n">sbcvpm</span><span class="w">
          </span><span class="o">/</span><span class="n">usr</span><span class="o">/</span><span class="n">ucb</span><span class="o">/</span><span class="n">df</span><span class="w">        </span><span class="n">di</span><span class="w"> </span><span class="o">-</span><span class="n">dk</span><span class="w"> </span><span class="o">-</span><span class="n">f</span><span class="w"> </span><span class="n">sbuv2m</span><span class="w">
   </span><span class="nc">GNU</span><span class="w"> </span><span class="ss">df</span><span class="p">:</span><span class="w">
          </span><span class="n">df</span><span class="w">                 </span><span class="n">di</span><span class="w"> </span><span class="o">-</span><span class="n">dk</span><span class="w"> </span><span class="o">-</span><span class="n">f</span><span class="w"> </span><span class="nc">SbuvpM</span><span class="w"> </span><span class="o">-</span><span class="n">w</span><span class="w"> </span><span class="mi">10</span><span class="w">
          </span><span class="n">df</span><span class="w"> </span><span class="o">-</span><span class="nc">T</span><span class="w">              </span><span class="n">di</span><span class="w"> </span><span class="o">-</span><span class="n">dk</span><span class="w"> </span><span class="o">-</span><span class="n">f</span><span class="w"> </span><span class="nc">STbuvpM</span><span class="w"> </span><span class="o">-</span><span class="n">w</span><span class="w"> </span><span class="mi">10</span><span class="w">
   </span><span class="nc">AIX</span><span class="w"> </span><span class="ss">df</span><span class="p">:</span><span class="w">
          </span><span class="n">df</span><span class="w">                 </span><span class="n">di</span><span class="w"> </span><span class="o">-</span><span class="n">d</span><span class="w"> </span><span class="mi">512</span><span class="w"> </span><span class="o">-</span><span class="n">f</span><span class="w"> </span><span class="nc">Sbf1UPM</span><span class="w"> </span><span class="o">-</span><span class="n">w</span><span class="w"> </span><span class="mi">10</span><span class="w">
          </span><span class="n">df</span><span class="w"> </span><span class="o">-</span><span class="nc">I</span><span class="w">              </span><span class="n">di</span><span class="w"> </span><span class="o">-</span><span class="n">d</span><span class="w"> </span><span class="mi">512</span><span class="w"> </span><span class="o">-</span><span class="n">f</span><span class="w"> </span><span class="nc">Sbuf1M</span><span class="w">
          </span><span class="n">df</span><span class="w"> </span><span class="o">-</span><span class="nc">I</span><span class="w"> </span><span class="o">-</span><span class="nc">M</span><span class="w">           </span><span class="n">di</span><span class="w"> </span><span class="o">-</span><span class="n">d</span><span class="w"> </span><span class="mi">512</span><span class="w"> </span><span class="o">-</span><span class="n">f</span><span class="w"> </span><span class="nc">SMbuf1</span><span class="w"> </span><span class="o">-</span><span class="n">w</span><span class="w"> </span><span class="mi">10</span><span class="w">
   </span><span class="nc">HP</span><span class="o">-</span><span class="nc">UX</span><span class="w"> </span><span class="ss">bdf</span><span class="p">:</span><span class="w">
          </span><span class="n">bdf</span><span class="w">                </span><span class="n">di</span><span class="w"> </span><span class="o">-</span><span class="n">d</span><span class="w"> </span><span class="n">k</span><span class="w"> </span><span class="o">-</span><span class="n">f</span><span class="w"> </span><span class="nc">Sbuv2M</span><span class="w">
          </span><span class="n">bdf</span><span class="w"> </span><span class="o">-</span><span class="n">i</span><span class="w">             </span><span class="n">di</span><span class="w"> </span><span class="o">-</span><span class="n">d</span><span class="w"> </span><span class="n">k</span><span class="w"> </span><span class="o">-</span><span class="n">f</span><span class="w"> </span><span class="nc">Sbuv2UFPM</span><span class="w">

   </span><span class="nc">If</span><span class="w"> </span><span class="n">you</span><span class="w"> </span><span class="n">like</span><span class="w"> </span><span class="n">your</span><span class="w"> </span><span class="n">numbers</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">add</span><span class="w"> </span><span class="n">up</span><span class="o">/</span><span class="n">calculate</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">percentage</span><span class="w"> </span><span class="n">correctly</span><span class="p">,</span><span class="w"> </span><span class="k">try</span><span class="w"> </span><span class="n">one</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">following</span><span class="w"> </span><span class="n">format</span><span class="w"> </span><span class="ss">strings</span><span class="p">:</span><span class="w">

          </span><span class="n">di</span><span class="w"> </span><span class="o">-</span><span class="n">f</span><span class="w"> </span><span class="nc">SMbuf1T</span><span class="w">
          </span><span class="n">di</span><span class="w"> </span><span class="o">-</span><span class="n">f</span><span class="w"> </span><span class="nc">SMbcvpT</span><span class="w">
          </span><span class="n">di</span><span class="w"> </span><span class="o">-</span><span class="n">f</span><span class="w"> </span><span class="nc">SMBuv2T</span></code></pre><p>Environment Variables</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="nc">The</span><span class="w">  </span><span class="nc">DI_ARGS</span><span class="w">  </span><span class="n">environment</span><span class="w">  </span><span class="n">variable</span><span class="w">  </span><span class="n">may</span><span class="w"> </span><span class="n">be</span><span class="w"> </span><span class="n">used</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">specify</span><span class="w"> </span><span class="n">command</span><span class="w"> </span><span class="n">line</span><span class="w"> </span><span class="n">arguments</span><span class="o">.</span><span class="w">  </span><span class="n">e</span><span class="o">.</span><span class="n">g</span><span class="o">.</span><span class="w"> </span><span class="nc">If</span><span class="w"> </span><span class="n">you</span><span class="w"> </span><span class="n">always</span><span class="w"> </span><span class="n">want</span><span class="w"> </span><span class="n">gigabytes</span><span class="w"> </span><span class="n">displayed</span><span class="p">,</span><span class="w"> </span><span class="n">set</span><span class="w"> </span><span class="nc">DI_ARGS</span><span class="w"> </span><span class="n">equal</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="s">&quot;-dg&quot;</span><span class="o">.</span><span class="w">
   </span><span class="nc">Any</span><span class="w"> </span><span class="n">command</span><span class="w"> </span><span class="n">line</span><span class="w"> </span><span class="n">arguments</span><span class="w"> </span><span class="n">specified</span><span class="w"> </span><span class="n">will</span><span class="w"> </span><span class="n">override</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="nc">DI_ARGS</span><span class="w"> </span><span class="n">environment</span><span class="w"> </span><span class="n">variable</span><span class="o">.</span><span class="w">

   </span><span class="nc">The</span><span class="w"> </span><span class="nc">DI_LOCALE_DIR</span><span class="w"> </span><span class="n">environment</span><span class="w"> </span><span class="n">variable</span><span class="w"> </span><span class="n">may</span><span class="w"> </span><span class="n">be</span><span class="w"> </span><span class="n">used</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">specify</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">location</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">di</span><span class="w"> </span><span class="n">program</span><span class="err">&#39;</span><span class="n">s</span><span class="w"> </span><span class="n">locale</span><span class="w"> </span><span class="n">message</span><span class="w"> </span><span class="n">files</span><span class="o">.</span><span class="w">

   </span><span class="nc">The</span><span class="w"> </span><span class="nc">GNU</span><span class="w"> </span><span class="n">df</span><span class="w"> </span><span class="nc">POSIXLY_CORRECT</span><span class="p">,</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="nc">DF_BLOCK_SIZE</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="nc">BSD</span><span class="w"> </span><span class="nc">BLOCKSIZE</span><span class="w"> </span><span class="n">environment</span><span class="w"> </span><span class="n">variables</span><span class="w"> </span><span class="n">are</span><span class="w"> </span><span class="n">honored</span><span class="o">.</span></code></pre><p>Note</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="nc">For</span><span class="w"> </span><span class="n">filesystems</span><span class="w"> </span><span class="n">that</span><span class="w"> </span><span class="k" data-group-id="4749424879-1">do</span><span class="w"> </span><span class="ow">not</span><span class="w"> </span><span class="n">report</span><span class="w"> </span><span class="n">available</span><span class="w"> </span><span class="n">space</span><span class="w"> </span><span class="p" data-group-id="4749424879-2">(</span><span class="n">e</span><span class="o">.</span><span class="n">g</span><span class="o">.</span><span class="w"> </span><span class="nc">System</span><span class="w"> </span><span class="nc">V</span><span class="w"> </span><span class="n">release</span><span class="w"> </span><span class="mi">3</span><span class="p" data-group-id="4749424879-2">)</span><span class="p">,</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">number</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">available</span><span class="w"> </span><span class="n">space</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">set</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">free</span><span class="w"> </span><span class="n">space</span><span class="o">.</span></code></pre><p>WARNING</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="nc">Do</span><span class="w"> </span><span class="ow">not</span><span class="w"> </span><span class="n">replace</span><span class="w"> </span><span class="n">your</span><span class="w"> </span><span class="n">system</span><span class="err">&#39;</span><span class="n">s</span><span class="w"> </span><span class="n">df</span><span class="w"> </span><span class="n">command</span><span class="w"> </span><span class="k">with</span><span class="w"> </span><span class="n">this</span><span class="w"> </span><span class="n">program</span><span class="o">.</span><span class="w">  </span><span class="nc">You</span><span class="w"> </span><span class="n">will</span><span class="w"> </span><span class="ow">in</span><span class="w"> </span><span class="n">all</span><span class="w"> </span><span class="n">likelihood</span><span class="w"> </span><span class="n">break</span><span class="w"> </span><span class="n">your</span><span class="w"> </span><span class="n">installation</span><span class="w"> </span><span class="n">procedures</span><span class="o">.</span></code></pre><p>See Also</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="n">df</span><span class="p" data-group-id="3825183532-1">(</span><span class="mi">1</span><span class="p" data-group-id="3825183532-1">)</span><span class="p">,</span><span class="w"> </span><span class="n">fstab</span><span class="p" data-group-id="3825183532-2">(</span><span class="mi">5</span><span class="p" data-group-id="3825183532-2">)</span><span class="p">,</span><span class="w"> </span><span class="n">getmnt</span><span class="p" data-group-id="3825183532-3">(</span><span class="mi">2</span><span class="p" data-group-id="3825183532-3">)</span><span class="p">,</span><span class="w"> </span><span class="n">getmntinfo</span><span class="p" data-group-id="3825183532-4">(</span><span class="mi">2</span><span class="p" data-group-id="3825183532-4">)</span><span class="p">,</span><span class="w"> </span><span class="n">mnttab</span><span class="p" data-group-id="3825183532-5">(</span><span class="mi">4</span><span class="p" data-group-id="3825183532-5">)</span><span class="p">,</span><span class="w"> </span><span class="n">mount</span><span class="p" data-group-id="3825183532-6">(</span><span class="mi">1</span><span class="nc">M</span><span class="p" data-group-id="3825183532-6">)</span><span class="w"> </span><span class="n">statfs</span><span class="p" data-group-id="3825183532-7">(</span><span class="mi">2</span><span class="p" data-group-id="3825183532-7">)</span><span class="p">,</span><span class="w"> </span><span class="n">statvfs</span><span class="p" data-group-id="3825183532-8">(</span><span class="mi">2</span><span class="p" data-group-id="3825183532-8">)</span></code></pre><p>Bugs</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="nc">Send</span><span class="w"> </span><span class="n">bug</span><span class="w"> </span><span class="n">reports</span><span class="w"> </span><span class="ss">to</span><span class="p">:</span><span class="w"> </span><span class="n">brad</span><span class="o">.</span><span class="n">lanam</span><span class="o">.</span><span class="n">di</span><span class="w"> </span><span class="err">@</span><span class="w"> </span><span class="n">gmail</span><span class="o">.</span><span class="n">com</span><span class="w">

   </span><span class="nc">Known</span><span class="w"> </span><span class="ss">Issues</span><span class="p">:</span><span class="w">

   </span><span class="n">di</span><span class="w"> </span><span class="n">will</span><span class="w"> </span><span class="n">probably</span><span class="w"> </span><span class="ow">not</span><span class="w"> </span><span class="n">process</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">zettabyte</span><span class="w"> </span><span class="ow">or</span><span class="w"> </span><span class="n">yottabyte</span><span class="w"> </span><span class="n">sized</span><span class="w"> </span><span class="n">filesystem</span><span class="w"> </span><span class="n">properly</span><span class="w"> </span><span class="n">due</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">overflow</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">long</span><span class="w"> </span><span class="n">long</span><span class="o">.</span></code></pre><p>Website</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="n">https</span><span class="ss">://</span><span class="n">diskinfo</span><span class="o">-</span><span class="n">di</span><span class="o">.</span><span class="n">sourceforge</span><span class="o">.</span><span class="n">io</span><span class="o">/</span></code></pre><p>Author</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="nc">This</span><span class="w"> </span><span class="n">program</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="nc">Copyright</span><span class="w"> </span><span class="mi">1994</span><span class="o">-</span><span class="mi">2021</span><span class="w"> </span><span class="n">by</span><span class="w"> </span><span class="nc">Brad</span><span class="w"> </span><span class="nc">Lanam</span><span class="o">.</span><span class="w">

   </span><span class="nc">Brad</span><span class="w"> </span><span class="nc">Lanam</span><span class="p">,</span><span class="w"> </span><span class="nc">Pleasant</span><span class="w"> </span><span class="nc">Hill</span><span class="p">,</span><span class="w"> </span><span class="nc">CA</span><span class="w"> </span><span class="p" data-group-id="2727143378-1">(</span><span class="n">brad</span><span class="o">.</span><span class="n">lanam</span><span class="o">.</span><span class="n">di</span><span class="w"> </span><span class="err">@</span><span class="w"> </span><span class="n">gmail</span><span class="o">.</span><span class="n">com</span><span class="p" data-group-id="2727143378-1">)</span><span class="w">

                                                                         </span><span class="mi">17</span><span class="w"> </span><span class="nc">Jan</span><span class="w"> </span><span class="mi">2013</span><span class="w">                                                                       </span><span class="n">di</span><span class="p" data-group-id="2727143378-2">(</span><span class="mi">1</span><span class="p" data-group-id="2727143378-2">)</span></code></pre>
<div class="bottom-actions">
  <div class="bottom-actions-item">

      <a href="bonnie.html" class="bottom-actions-button" rel="prev">
        <span class="subheader">
          ← Previous Page
        </span>
        <span class="title">
bonnie++
        </span>
      </a>

  </div>
  <div class="bottom-actions-item">

      <a href="diskscan.html" class="bottom-actions-button" rel="next">
        <span class="subheader">
          Next Page →
        </span>
        <span class="title">
diskscan
        </span>
      </a>

  </div>
</div>
      <footer class="footer">
        <p>

          <span class="line">
            <button class="a-main footer-button display-quick-switch" title="Search HexDocs packages">
              Search HexDocs
            </button>

          </span>
        </p>

        <p class="built-using">
          Built using
          <a href="https://github.com/elixir-lang/ex_doc" title="ExDoc" target="_blank" rel="help noopener" translate="no">ExDoc</a> (v0.31.0) for the

            <a href="https://elixir-lang.org" title="Elixir" target="_blank" translate="no">Elixir programming language</a>

        </p>
      </footer>
    </div>
  </div>
</main>
</div>


  </body>
</html>
